## go-for-it 1.7.3

=== CMakeLists.txt ===
project (go-for-it)

cmake_minimum_required (VERSION 2.8.9)
# tell cmake where its modules can be found in our project directory
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include (GNUInstallDirs)
# where we install data directory (if we have any)
set (INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (DATADIR "${INSTALL_PREFIX}/share")

set (APP_ID "com.github.jmoerman.go-for-it" CACHE STRING "The application id")
set (APP_SYSTEM_NAME ${APP_ID} CACHE STRING "Name to used for file names. For example the file name of the .desktop file.")

set (PKGDATADIR ${DATADIR}/${APP_SYSTEM_NAME})
set (FILE_CONF ${PROJECT_NAME}.conf)

set (EXEC_NAME ${APP_SYSTEM_NAME})
set (APP_NAME "Go For It!")
set (RELEASE_NAME "A stylish to-do list with built-in productivity timer")
set (VERSION "1.7.3")
set (VERSION_INFO "Release")
set (ICON_NAME ${APP_SYSTEM_NAME})
set (GETTEXT_PACKAGE ${APP_SYSTEM_NAME})
set (APIVERSION 0)
set (LIBNAME ${APP_SYSTEM_NAME}-${APIVERSION})
set (LIBVERSION "0")
set (SOVERSION 0)

# The path where library files should be searched for
set (LIBRARY_PATH "src")

set (PROJECT_WEBSITE "http://manuel-kehl.de/projects/go-for-it/")
set (PROJECT_REPO "https://github.com/JMoerman/Go-For-It")
set (PROJECT_DONATIONS "https://jmoerman.github.io/donate/")
set (DEFAULT_THEME "elementary")

#for go-for-it.pc.cmake
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (DOLLAR "$")

# find pkgconfig to make sure dependencies are installed
find_package (PkgConfig)
# check for the required dependencies
pkg_check_modules (DEPS REQUIRED
    gtk+-3.0>=3.14.0
    glib-2.0>=2.40
    libnotify
)

add_definitions(${DEPS_CFLAGS})
link_directories(${DEPS_LIBRARY_DIRS})
include_directories(${CMAKE_BINARY_DIR}/src)

find_program (INTLTOOL_MERGE_EXECUTABLE intltool-merge)
if (NOT INTLTOOL_MERGE_EXECUTABLE)
    message ( FATAL_ERROR "Couldn't find the intltool-merge executable. Please make sure intltool is installed and try again")
endif ()

# disable c compiler warnings
add_definitions (-w)
add_definitions (-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")

# make sure we have vala
find_package (Vala REQUIRED)
# make sure we use vala
include (ValaVersion)
# make sure it's the desired version of vala
ensure_vala_version("0.26" MINIMUM)

option (BUILD_TESTS "Build a unit test executable." OFF)

option (ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)

# Options for when information like this is best shown elsewere
option (NO_CONTRIBUTE_DIALOG "Do not include the contribute dialog." OFF)
option (SHOW_ABOUT "Show the about action in the .desktop and menu." ON)

add_subdirectory (src)
add_subdirectory (executable)
if (BUILD_TESTS)
    add_subdirectory (tests)
endif (BUILD_TESTS)
add_subdirectory (data)
add_subdirectory (style)
add_subdirectory (po)

=== data/CMakeLists.txt ===
include (Translations)

if (SHOW_ABOUT)
set (ABOUT_ACTION
"Actions=AboutDialog;

[Desktop Action AboutDialog]
Name=About ${APP_NAME}
Exec=${EXEC_NAME} --about"
)
else ()

endif ()

configure_file (go-for-it.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop.in)
configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop ${CMAKE_SOURCE_DIR}/po/)
configure_file (go-for-it.appdata.xml.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml.in)
configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml ${CMAKE_SOURCE_DIR}/po/)

# install .desktop file so the Applications menu will display it
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop DESTINATION ${DATADIR}/applications/)

# install appdata file which provides metadata for software centers
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml DESTINATION ${DATADIR}/metainfo/)

# install the application's icons
set (SYSTEM_DEFAULT_THEME ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)
set (ICON_FOLDER /icons/hicolor)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/16x16/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/16x16/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/24x24/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/24x24/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/32x32/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/32x32/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/48x48/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/48x48/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/64x64/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/64x64/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/128x128/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/128x128/apps RENAME ${ICON_NAME}.svg)
# install icons for the to-do and done lists
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/16x16/actions/go-to-done.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/16x16/actions RENAME ${ICON_NAME}-go-to-done.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/24x24/actions/go-to-done.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/24x24/actions RENAME ${ICON_NAME}-go-to-done.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/16x16/actions/go-to-list-symbolic.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/16x16/actions RENAME ${ICON_NAME}-go-to-list-symbolic.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/24x24/actions/go-to-list-symbolic.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/24x24/actions RENAME ${ICON_NAME}-go-to-list-symbolic.svg)
# install the fallback menu icon
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/24x24/actions/go-for-it-open-menu-fallback.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/24x24/actions RENAME ${ICON_NAME}-open-menu-fallback.svg)

if (ICON_UPDATE)
install (
    CODE "message (STATUS \"Updating icon cache in ${SYSTEM_DEFAULT_THEME}\")"
    CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${SYSTEM_DEFAULT_THEME})"
)
endif (ICON_UPDATE)

=== executable/CMakeLists.txt ===
# files we want to compile
include (ValaPrecompile)
vala_precompile (VALA_C ${EXEC_NAME}
    go-for-it.vala

# tell what libraries to use when compiling
PACKAGES
    gtk+-3.0
    libnotify
OPTIONS
    ${VALAC_OPTIONS}
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}/${LIBNAME}_internal.vapi
)

# tell cmake what to call the executable we just made
add_executable (${EXEC_NAME} ${VALA_C})
add_dependencies (${EXEC_NAME} ${LIBNAME})
set_target_properties (${EXEC_NAME} PROPERTIES
    INCLUDE_DIRECTORIES ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}
)
target_link_libraries (${EXEC_NAME} ${LIBNAME})
# install the binaries we just made
install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

=== src/CMakeLists.txt ===
# Create Constants.vala
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala)

if (${NO_CONTRIBUTE_DIALOG})
    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D NO_CONTRIBUTE_DIALOG)
endif ()
if (${SHOW_ABOUT})
    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D SHOW_ABOUT)
endif ()

# checking if have a recent version of Gtk+-3.0
pkg_check_modules( GTK3 gtk+-3.0 )
if (${GTK3_VERSION} VERSION_GREATER 3.21)
    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D HAS_GTK322)
else ()
    message ("-- No recent Gtk+-3.0 found... Using pre 3.22 features.")
endif ()

# files we want to compile
include (ValaPrecompile)
vala_precompile (VALA_C ${LIBNAME}
    Constants.vala
    Utils.vala
    ListIdentifier.vala
    SettingsManager.vala
    TodoListInfo.vala
    ListManager.vala
    TodoTask.vala
    SequentialList.vala
    FileWatcher.vala
    TaskTimer.vala
    DragListModel.vala
    Theme.vala
    view/Widgets/FilterableWidget.vala
    view/Widgets/TodoListInfoRow.vala
    view/Widgets/DragList.vala
    view/Widgets/ViewSwitcher.vala
    view/Dialogs/SettingsDialog.vala
    view/Dialogs/AboutDialog.vala
    view/Dialogs/ContributeDialog.vala
    view/TimerView.vala
    view/TaskListPage.vala
    view/SelectionPage.vala
    view/MainWindow.vala
    todo.txt/Constants.vala
    todo.txt/TxtUtils.vala
    todo.txt/TaskStore.vala
    todo.txt/TaskManager.vala
    todo.txt/ListSettings.vala
    todo.txt/Filter.vala
    todo.txt/TxtList.vala
    todo.txt/TxtListManager.vala
    todo.txt/view/TaskList.vala
    todo.txt/view/TaskRow.vala
    todo.txt/view/TxtListEditDialog.vala
    Main.vala

# tell what libraries to use when compiling
PACKAGES
    gtk+-3.0
    libnotify
OPTIONS
    ${VALAC_OPTIONS}
GENERATE_VAPI
    ${LIBNAME}
GENERATE_HEADER
    ${LIBNAME}
GENERATE_INTERNAL_VAPI
    ${LIBNAME}_internal
GENERATE_INTERNAL_HEADER
    ${LIBNAME}_internal
)

set (LIBS ${DEPS_LIBRARIES} -lm)
set (LIB_PATHS ${DEPS_LIBRARY_DIRS})
link_directories (${LIB_PATHS})

set (LIB_FILES ${C_SOURCES} ${VALA_C})

add_library (${LIBNAME} STATIC
    ${LIB_FILES}
)

target_link_libraries (${LIBNAME} ${LIBS})

=== style/CMakeLists.txt ===
# install the application's stylesheets
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-3.10.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-3.20.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-minimal-3.10.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/widgets-minimal-3.20.css DESTINATION ${PKGDATADIR}/style/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/palettes/elementary.css DESTINATION ${PKGDATADIR}/style/palettes/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/palettes/elementary-dark.css DESTINATION ${PKGDATADIR}/style/palettes/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/palettes/theme-based.css DESTINATION ${PKGDATADIR}/style/palettes/)

=== tests/CMakeLists.txt ===
set (TEST_EXEC_NAME ${APP_ID}-tests)

# files we want to compile
include (ValaPrecompile)
vala_precompile (VALA_C ${TEST_EXEC_NAME}
    TestCase.vala
    assertionhelpers.vala
    TodoTaskTest.vala
    DragListTest.vala
    Tests.vala
    todo.txt/TaskStoreTest.vala

# tell what libraries to use when compiling
PACKAGES
    gtk+-3.0
OPTIONS
    ${VALAC_OPTIONS}
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}/${LIBNAME}_internal.vapi
)

# tell cmake what to call the executable we just made
add_executable (${TEST_EXEC_NAME} ${VALA_C})
add_dependencies (${TEST_EXEC_NAME} ${LIBNAME})
target_link_libraries (${TEST_EXEC_NAME} ${DEPS_LIBRARIES} ${LIBNAME})

set_target_properties (${TEST_EXECUTABLE_NAME} PROPERTIES
    INCLUDE_DIRECTORIES ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}
)

=== debian/changelog ===
go-for-it (1.7.3-1~mx18+1) mx; urgency=medium

  * Rebuild for MX 18.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Thu, 26 Sep 2019 16:56:52 -0400

=== debian/control ===
Source: go-for-it
Section: x11
Priority: extra
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Jonathan Moerman <jonathanmoerman@gmail.com>
Build-Depends: cmake (>= 2.8.9),
               debhelper (>= 9.0.0),
               intltool,
               valac-0.26 | valac (>= 0.26),
               libgtk-3-dev (>= 3.14),
               libnotify-dev
Standards-Version: 3.9.5

Package: go-for-it
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A stylish to-do list with built-in productivity timer.
 Go For It! keeps track of your tasks and assists you in processing them 
 subsequently. The timer avoids distraction, by keeping your focus on the
 recent task, while reminding you to take short breaks on a regular base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DAPP_SYSTEM_NAME:STRING="go-for-it"

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## go-for-it 1.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
 set (INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
 set (DATADIR "${INSTALL_PREFIX}/share")
 
-set (APP_ID "com.github.jmoerman.go-for-it" CACHE STRING "The application id")
+set (RESOURCE_PATH "/go-for-it")
+set (APP_ID "com.github.jmoerman.go-for-it" CACHE STRING "The application id.")
 set (APP_SYSTEM_NAME ${APP_ID} CACHE STRING "Name to used for file names. For example the file name of the .desktop file.")
+set (SCHEMA_PATH "/com/github/jmoerman/go-for-it" CACHE STRING "The gsettings schema path.")
 
 set (PKGDATADIR ${DATADIR}/${APP_SYSTEM_NAME})
 set (FILE_CONF ${PROJECT_NAME}.conf)
@@ -17,7 +19,7 @@
 set (EXEC_NAME ${APP_SYSTEM_NAME})
 set (APP_NAME "Go For It!")
 set (RELEASE_NAME "A stylish to-do list with built-in productivity timer")
-set (VERSION "1.7.3")
+set (VERSION "1.8.7")
 set (VERSION_INFO "Release")
 set (ICON_NAME ${APP_SYSTEM_NAME})
 set (GETTEXT_PACKAGE ${APP_SYSTEM_NAME})
@@ -32,7 +34,7 @@
 set (PROJECT_WEBSITE "http://manuel-kehl.de/projects/go-for-it/")
 set (PROJECT_REPO "https://github.com/JMoerman/Go-For-It")
 set (PROJECT_DONATIONS "https://jmoerman.github.io/donate/")
-set (DEFAULT_THEME "elementary")
+set (DEFAULT_THEME "")
 
 #for go-for-it.pc.cmake
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
@@ -65,7 +67,7 @@
 # make sure we use vala
 include (ValaVersion)
 # make sure it's the desired version of vala
-ensure_vala_version("0.26" MINIMUM)
+ensure_vala_version("0.36.15" MINIMUM)
 
 option (BUILD_TESTS "Build a unit test executable." OFF)
 
@@ -81,5 +83,4 @@
     add_subdirectory (tests)
 endif (BUILD_TESTS)
 add_subdirectory (data)
-add_subdirectory (style)
 add_subdirectory (po)

=== data/CMakeLists.txt ===
include (Translations)

if (SHOW_ABOUT)
set (ABOUT_ACTION
"Actions=AboutDialog;

[Desktop Action AboutDialog]
Name=About ${APP_NAME}
Exec=${EXEC_NAME} --about"
)
else ()

endif ()
configure_file (go-for-it.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop.in)
configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop ${CMAKE_SOURCE_DIR}/po/)
configure_file (go-for-it.appdata.xml.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml.in)
configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml ${CMAKE_SOURCE_DIR}/po/)

# install .desktop file so the Applications menu will display it
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop DESTINATION ${DATADIR}/applications/)

# install appdata file which provides metadata for software centers
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml DESTINATION ${DATADIR}/metainfo/)

# install the application's icons
set (SYSTEM_DEFAULT_THEME ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)
set (ICON_FOLDER /icons)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/16x16/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/16x16/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/24x24/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/24x24/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/32x32/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/32x32/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/48x48/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/48x48/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/64x64/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/64x64/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/128x128/apps/go-for-it.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/128x128/apps RENAME ${ICON_NAME}.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/16x16/apps/go-for-it-symbolic.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/16x16/apps RENAME ${ICON_NAME}-symbolic.svg)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}${ICON_FOLDER}/24x24/apps/go-for-it-symbolic.svg DESTINATION ${SYSTEM_DEFAULT_THEME}/24x24/apps RENAME ${ICON_NAME}-symbolic.svg)

if (ICON_UPDATE)
install (
    CODE "message (STATUS \"Updating icon cache in ${SYSTEM_DEFAULT_THEME}\")"
    CODE "execute_process (COMMAND gtk-update-icon-cache -t -f ${SYSTEM_DEFAULT_THEME})"
)
endif (ICON_UPDATE)

configure_file (go-for-it.gschema.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.gschema.xml)
include(GSettings)
add_schema("${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.gschema.xml")

=== executable/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,21 @@
     ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}/${LIBNAME}_internal.vapi
 )
 
+include(GResource)
+
+configure_file (${CMAKE_SOURCE_DIR}/data/resources.gresource.xml.in ${CMAKE_CURRENT_BINARY_DIR}/resources.gresource.xml)
+
+glib_compile_resources("${CMAKE_CURRENT_BINARY_DIR}/resources.gresource.xml"
+  SOURCE_DIR "${CMAKE_SOURCE_DIR}/data"
+  SOURCE "${CMAKE_CURRENT_BINARY_DIR}/gui-resources.c"
+  C_NAME "gofi_gui_resources"
+  INTERNAL)
+
 # tell cmake what to call the executable we just made
-add_executable (${EXEC_NAME} ${VALA_C})
+add_executable (${EXEC_NAME}
+    "${CMAKE_CURRENT_BINARY_DIR}/gui-resources.c"
+    ${VALA_C}
+    )
 add_dependencies (${EXEC_NAME} ${LIBNAME})
 set_target_properties (${EXEC_NAME} PROPERTIES
     INCLUDE_DIRECTORIES ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory (${GETTEXT_PACKAGE})
add_translations_catalog (${GETTEXT_PACKAGE}
    ../src
    DESKTOP_FILES
        ${CMAKE_BINARY_DIR}/data/${APP_SYSTEM_NAME}.desktop.in
    APPDATA_FILES
        ${CMAKE_BINARY_DIR}/data/${APP_SYSTEM_NAME}.appdata.xml.in
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,37 +22,50 @@
     Constants.vala
     Utils.vala
     ListIdentifier.vala
-    SettingsManager.vala
     TodoListInfo.vala
-    ListManager.vala
+    Schedule.vala
     TodoTask.vala
+    TaskList.vala
     SequentialList.vala
-    FileWatcher.vala
-    TaskTimer.vala
-    DragListModel.vala
     Theme.vala
-    view/Widgets/FilterableWidget.vala
-    view/Widgets/TodoListInfoRow.vala
-    view/Widgets/DragList.vala
-    view/Widgets/ViewSwitcher.vala
-    view/Dialogs/SettingsDialog.vala
-    view/Dialogs/AboutDialog.vala
-    view/Dialogs/ContributeDialog.vala
-    view/TimerView.vala
-    view/TaskListPage.vala
-    view/SelectionPage.vala
-    view/MainWindow.vala
-    todo.txt/Constants.vala
-    todo.txt/TxtUtils.vala
-    todo.txt/TaskStore.vala
-    todo.txt/TaskManager.vala
-    todo.txt/ListSettings.vala
-    todo.txt/Filter.vala
-    todo.txt/TxtList.vala
-    todo.txt/TxtListManager.vala
-    todo.txt/view/TaskList.vala
-    todo.txt/view/TaskRow.vala
-    todo.txt/view/TxtListEditDialog.vala
+    Services/SettingsManager.vala
+    Services/ListManager.vala
+    Services/FileWatcher.vala
+    Services/TaskTimer.vala
+    Services/Shortcuts.vala
+    Services/ActivityLog.vala
+    Widgets/TodoListInfoRow.vala
+    Widgets/DragListModel.vala
+    Widgets/DragListRowBox.vala
+    Widgets/DragList.vala
+    Widgets/ViewSwitcher.vala
+    Widgets/TimerScheduleWidget.vala
+    Widgets/TimerView.vala
+    Pages/TaskListPage.vala
+    Pages/SelectionPage.vala
+    Dialogs/DialogUtils.vala
+    Dialogs/SettingsDialog.vala
+    Dialogs/SettingsPages/AppearancePage.vala
+    Dialogs/SettingsPages/BehaviorPage.vala
+    Dialogs/SettingsPages/ShortcutsPage.vala
+    Dialogs/AboutDialog.vala
+    Dialogs/ContributeDialog.vala
+
+    Todo.txt/Constants.vala
+    Todo.txt/TxtTask.vala
+    Todo.txt/TxtUtils.vala
+    Todo.txt/TaskStore.vala
+    Todo.txt/TaskManager.vala
+    Todo.txt/ListSettings.vala
+    Todo.txt/Filter.vala
+    Todo.txt/TxtList.vala
+    Todo.txt/TxtListManager.vala
+    Todo.txt/Widgets/TaskListWidget.vala
+    Todo.txt/Widgets/TaskRow.vala
+    Todo.txt/Widgets/DynOrientationBox.vala
+    Todo.txt/Dialogs/TxtListEditDialog.vala
+
+    MainWindow.vala
     Main.vala
 
 # tell what libraries to use when compiling

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 vala_precompile (VALA_C ${TEST_EXEC_NAME}
     TestCase.vala
     assertionhelpers.vala
-    TodoTaskTest.vala
     DragListTest.vala
     Tests.vala
+    todo.txt/TodoTaskTest.vala
     todo.txt/TaskStoreTest.vala
 
 # tell what libraries to use when compiling

=== debian/changelog ===
go-for-it (1.8.7-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 06 May 2021 11:02:19 -0400

go-for-it (1.8.7-2) unstable; urgency=medium

  * Source-only upload.
  * Add Leandro Ramos into the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Feb 2021 09:16:18 -0500

go-for-it (1.8.7-1) unstable; urgency=medium

  * Initial release. (Closes: #979275)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Feb 2021 20:59:47 -0500

=== debian/control ===
Source: go-for-it
Section: utils
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Leandro Ramos <leandroramos@disroot.org>,
Standards-Version: 4.5.1
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 intltool,
 libayatana-appindicator3-dev,
 libcanberra-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libnotify-dev,
 libpeas-dev,
 valac,
Rules-Requires-Root: no
Homepage: https://github.com/JMoerman/Go-For-It/releases
Vcs-Git: https://salsa.debian.org/debian/go-for-it.git
Vcs-Browser: https://salsa.debian.org/debian/go-for-it

Package: go-for-it
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple and stylish productivity app
 Go For It! is a simple and stylish productivity app, featuring
 a to-do list, merged with a timer that keeps your focus on the
 current task.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%go-for-it-$1.tar.gz%" \
 https://github.com/JMoerman/Go-For-It/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## go-for-it 1.9.5

=== debian/changelog ===
go-for-it (1.9.5-1build1) jammy; urgency=medium

  * No-change rebuild against latest granite

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Oct 2021 08:30:48 -0400

go-for-it (1.9.5-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Oct 2021 12:26:51 -0400

go-for-it (1.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 20:29:44 -0400

go-for-it (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Enable USE_GRANITE flag to use libgranite.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Update homepage field as indicated by upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Aug 2021 15:07:11 -0400

## go-for-it 1.9.6

=== CMakeLists.txt ===
project (go-for-it)

cmake_minimum_required (VERSION 3.5)
# tell cmake where its modules can be found in our project directory
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include (GNUInstallDirs)
# where we install data directory (if we have any)
set (INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (DATADIR "${INSTALL_PREFIX}/share")

set (RESOURCE_PATH "/go-for-it")
set (APP_ID "com.github.jmoerman.go-for-it" CACHE STRING "The application id.")
set (APP_SYSTEM_NAME ${APP_ID} CACHE STRING "Name to used for the executable and data directories. (This option used to affect the base name of the .desktop file, icons and appstream metadata)")
set (SCHEMA_PATH "/com/github/jmoerman/go-for-it" CACHE STRING "The gsettings schema path.")

set (PKGDATADIR ${DATADIR}/${APP_SYSTEM_NAME})
set (PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/${APP_SYSTEM_NAME}/plugins")
set (FILE_CONF ${PROJECT_NAME}.conf)

set (EXEC_NAME ${APP_SYSTEM_NAME})
set (APP_NAME "GoForIt!")
set (RELEASE_NAME "A stylish to-do list with built-in productivity timer")
set (MAJOR_VERSION "1")
set (MINOR_VERSION "9")
set (MICRO_VERSION "6")
set (VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}")
set (VERSION_INFO "Release")
set (ICON_NAME ${APP_ID})
set (GETTEXT_PACKAGE ${APP_ID})
set (APIVERSION 0)
set (LIBNAME ${APP_SYSTEM_NAME}-${APIVERSION})
set (LIBVERSION "0")
set (SOVERSION 0)

# The path where library files should be searched for
set (LIBRARY_PATH "src")

set (PROJECT_WEBSITE "https://jmoerman.github.io/go-for-it/")
set (PROJECT_REPO "https://github.com/JMoerman/Go-For-It")
set (PROJECT_DONATIONS "https://jmoerman.github.io/donate/")

#for go-for-it.pc.cmake
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (DOLLAR "$")

# find pkgconfig to make sure dependencies are installed
find_package (PkgConfig)
# check for the required dependencies
pkg_check_modules (CORE_DEPS REQUIRED
    gtk+-3.0>=3.14.0
    glib-2.0>=2.40
    libcanberra
)

set (CORE_DEPS_VALA_PACKAGES gtk+-3.0 libcanberra)

option (ENABLE_PLUGINS "Compile with plugin support" ON)
option (BUILD_PLUGINS "Compile plugins" ON)
option (GLOBAL_PLUGIN_ICONS "Store icons used by plugins in \${CMAKE_INSTALL_PREFIX}/share/icons/hicolor in stead of \${PLUGINDIR}/\${PLUGIN_NAME}/icons/" OFF)
if (ENABLE_PLUGINS)
    pkg_check_modules (PEAS
        libpeas-1.0
        libpeas-gtk-1.0
    )
    if (PEAS_FOUND)
        set (CORE_DEPS_CFLAGS ${CORE_DEPS_CFLAGS} ${PEAS_CFLAGS})
        set (CORE_DEPS_LIBRARY_DIRS ${CORE_DEPS_LIBRARY_DIRS} ${PEAS_LIBRARY_DIRS})
        set (CORE_DEPS_LIBRARIES ${CORE_DEPS_LIBRARIES} ${PEAS_LIBRARIES})
        set (CORE_DEPS_VALA_PACKAGES ${CORE_DEPS_VALA_PACKAGES} libpeas-1.0 libpeas-gtk-1.0)
        message ("-- plugin support is enabled")
    else ()
        message ("-- libpeas is missing, disabling plugin support")
        set (ENABLE_PLUGINS OFF CACHE BOOL "" FORCE)
    endif ()
else ()
    message ("-- plugin support is disabled")
endif ()
set (DEFAULT_PLUGINS "[]" CACHE STRING "Plugins to load by default. (= if plugin is present, it will be loaded)")

set (DEPS_CFLAGS ${CORE_DEPS_CFLAGS})
set (DEPS_LIBRARY_DIRS ${CORE_DEPS_LIBRARY_DIRS})
set (DEPS_LIBRARIES ${CORE_DEPS_LIBRARIES})
set (DEPS_VALA_PACKAGES ${CORE_DEPS_VALA_PACKAGES})

option (USE_GRANITE "Build against granite" OFF)
if (USE_GRANITE)
    pkg_check_modules (GRANITE granite)
    if (${GRANITE_VERSION} VERSION_GREATER 5.4)
        set (DEPS_CFLAGS ${DEPS_CFLAGS} ${GRANITE_CFLAGS})
        set (DEPS_LIBRARY_DIRS ${DEPS_LIBRARY_DIRS} ${GRANITE_LIBRARY_DIRS})
        set (DEPS_LIBRARIES ${DEPS_LIBRARIES} ${GRANITE_LIBRARIES})
        message ("-- building against granite")
    else ()
        message ("-- Granite is missing or too old, using plain Gtk+ 3.0!")
        set (USE_GRANITE OFF CACHE BOOL "" FORCE)
    endif ()
else ()
    message ("-- Not using granite")
endif ()

add_definitions(${DEPS_CFLAGS})
link_directories(${DEPS_LIBRARY_DIRS})
include_directories(${CMAKE_BINARY_DIR}/src)

# disable some c compiler warnings
add_definitions (-Wno-incompatible-pointer-types -Wno-discarded-qualifiers -Werror=implicit-function-declaration)
add_definitions (-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")

# make sure we have vala
find_package (Vala REQUIRED)
# make sure we use vala
include (ValaVersion)
# make sure it's the desired version of vala
ensure_vala_version("0.36.15" MINIMUM)

set (CUSTOM_VAPIS )
if (${VALA_VERSION} VERSION_LESS "0.51.1")
    set (CUSTOM_VAPIS ${CUSTOM_VAPIS} ${CMAKE_SOURCE_DIR}/vapi/glib_assert.vapi)
endif ()

option (BUILD_TESTS "Build a unit test executable." OFF)

option (ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)

# Options for when information like this is best shown elsewere
option (NO_CONTRIBUTE_DIALOG "Do not include the contribute dialog." OFF)
option (SHOW_ABOUT "Show the about action in the .desktop and menu." ON)

add_subdirectory (src)
add_subdirectory (executable)
if (ENABLE_PLUGINS AND BUILD_PLUGINS)
add_subdirectory (plugins)
endif (ENABLE_PLUGINS AND BUILD_PLUGINS)
if (BUILD_TESTS)
    add_subdirectory (tests)
endif (BUILD_TESTS)
add_subdirectory (data)
add_subdirectory (po)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -11,16 +11,16 @@
 else ()
 
 endif ()
-configure_file (go-for-it.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop.in)
-configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop ${CMAKE_SOURCE_DIR}/po/)
-configure_file (go-for-it.appdata.xml.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml.in)
-configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml ${CMAKE_SOURCE_DIR}/po/)
+configure_file (go-for-it.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.desktop.in)
+configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.desktop ${CMAKE_SOURCE_DIR}/po/)
+configure_file (go-for-it.appdata.xml.in.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.appdata.xml.in)
+configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.appdata.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.appdata.xml ${CMAKE_SOURCE_DIR}/po/)
 
 # install .desktop file so the Applications menu will display it
-install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.desktop DESTINATION ${DATADIR}/applications/)
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.desktop DESTINATION ${DATADIR}/applications/)
 
 # install appdata file which provides metadata for software centers
-install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_SYSTEM_NAME}.appdata.xml DESTINATION ${DATADIR}/metainfo/)
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.appdata.xml DESTINATION ${DATADIR}/metainfo/)
 
 # install the application's icons
 set (SYSTEM_DEFAULT_THEME ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)
@@ -41,6 +41,20 @@
 )
 endif (ICON_UPDATE)
 
+# configure and install the gsettings schemas
 configure_file (go-for-it.gschema.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.gschema.xml)
 include(GSettings)
 add_schema("${CMAKE_CURRENT_BINARY_DIR}/${APP_ID}.gschema.xml")
+
+# install notification sounds
+set (SOUND_FOLDER ${PKGDATADIR}/sounds)
+set (SOUND_SOURCE_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/sounds)
+install (
+FILES
+    ${SOUND_SOURCE_FOLDER}/bell.ogg
+    ${SOUND_SOURCE_FOLDER}/loud-bell.ogg
+    ${SOUND_SOURCE_FOLDER}/singing-bowl.ogg
+    ${SOUND_SOURCE_FOLDER}/aluminium-bowl.ogg
+DESTINATION
+    ${SOUND_FOLDER}
+)

=== executable/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # files we want to compile
 include (ValaPrecompile)
+
 vala_precompile (VALA_C ${EXEC_NAME}
     go-for-it.vala
 
 # tell what libraries to use when compiling
 PACKAGES
-    gtk+-3.0
-    libnotify
+    ${DEPS_VALA_PACKAGES}
 OPTIONS
     ${VALAC_OPTIONS}
 CUSTOM_VAPIS

=== plugins/CMakeLists.txt ===
add_subdirectory (appindicator)
add_subdirectory (launcher_indicator)

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory (${GETTEXT_PACKAGE})
add_translations_catalog (${GETTEXT_PACKAGE}
    ../src
    ../plugins
    DESKTOP_FILES
        ${CMAKE_BINARY_DIR}/data/${APP_ID}.desktop.in
    APPDATA_FILES
        ${CMAKE_BINARY_DIR}/data/${APP_ID}.appdata.xml.in
    PLUGIN_FILES
        ../plugins/appindicator/appindicator.plugin
        ../plugins/launcher_indicator/launcherindicator.plugin
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Create Constants.vala
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/go-for-it.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.pc)
 
 if (${NO_CONTRIBUTE_DIALOG})
     set (VALAC_OPTIONS ${VALAC_OPTIONS} -D NO_CONTRIBUTE_DIALOG)
@@ -7,6 +8,8 @@
 if (${SHOW_ABOUT})
     set (VALAC_OPTIONS ${VALAC_OPTIONS} -D SHOW_ABOUT)
 endif ()
+
+add_definitions(-DG_LOG_DOMAIN="${LIBNAME}")
 
 # checking if have a recent version of Gtk+-3.0
 pkg_check_modules( GTK3 gtk+-3.0 )
@@ -16,10 +19,24 @@
     message ("-- No recent Gtk+-3.0 found... Using pre 3.22 features.")
 endif ()
 
+set (VALA_PACKAGES ${DEPS_VALA_PACKAGES})
+
+if (USE_GRANITE)
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D USE_GRANITE)
+    set (VALA_PACKAGES ${VALA_PACKAGES} granite)
+endif ()
+
+if (ENABLE_PLUGINS)
+    set (VALA_PACKAGES ${VALA_PACKAGES} libpeas-1.0 libpeas-gtk-1.0)
+else ()
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} -D NO_PLUGINS)
+endif ()
+
 # files we want to compile
 include (ValaPrecompile)
 vala_precompile (VALA_C ${LIBNAME}
     Constants.vala
+    Date.vala
     Utils.vala
     ListIdentifier.vala
     TodoListInfo.vala
@@ -27,13 +44,16 @@
     TodoTask.vala
     TaskList.vala
     SequentialList.vala
-    Theme.vala
+    PluginInterface.vala
     Services/SettingsManager.vala
+    Services/PluginManager.vala
     Services/ListManager.vala
     Services/FileWatcher.vala
     Services/TaskTimer.vala
     Services/Shortcuts.vala
     Services/ActivityLog.vala
+    Services/SoundPlayer.vala
+    Services/Notifications.vala
     Widgets/TodoListInfoRow.vala
     Widgets/DragListModel.vala
     Widgets/DragListRowBox.vala
@@ -41,12 +61,15 @@
     Widgets/ViewSwitcher.vala
     Widgets/TimerScheduleWidget.vala
     Widgets/TimerView.vala
+    Widgets/FileChooserWidget.vala
     Pages/TaskListPage.vala
     Pages/SelectionPage.vala
+    Dialogs/FileConflictDialog.vala
     Dialogs/DialogUtils.vala
     Dialogs/SettingsDialog.vala
     Dialogs/SettingsPages/AppearancePage.vala
     Dialogs/SettingsPages/BehaviorPage.vala
+    Dialogs/SettingsPages/NotificationsPage.vala
     Dialogs/SettingsPages/ShortcutsPage.vala
     Dialogs/AboutDialog.vala
     Dialogs/ContributeDialog.vala
@@ -70,8 +93,7 @@
 
 # tell what libraries to use when compiling
 PACKAGES
-    gtk+-3.0
-    libnotify
+    ${VALA_PACKAGES}
 OPTIONS
     ${VALAC_OPTIONS}
 GENERATE_VAPI
@@ -90,8 +112,19 @@
 
 set (LIB_FILES ${C_SOURCES} ${VALA_C})
 
-add_library (${LIBNAME} STATIC
+add_library (${LIBNAME} SHARED
     ${LIB_FILES}
 )
 
+set_target_properties (${LIBNAME} PROPERTIES
+    VERSION ${LIBVERSION}.0
+    SOVERSION ${SOVERSION})
+
 target_link_libraries (${LIBNAME} ${LIBS})
+
+install (TARGETS ${LIBNAME} DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
+
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig/)
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PACKAGE_NAME}/)
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIBNAME}.vapi DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi/)
+install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/go-for-it.deps DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi/ RENAME ${LIBNAME}.deps)

=== tests/CMakeLists.txt ===
set (TEST_EXEC_NAME ${APP_ID}-tests)

# files we want to compile
include (ValaPrecompile)
vala_precompile (VALA_C ${TEST_EXEC_NAME}
    TestCase.vala
    DragListTest.vala
    Tests.vala
    todo.txt/TodoTaskTest.vala
    todo.txt/TaskStoreTest.vala

# tell what libraries to use when compiling
PACKAGES
    ${DEPS_VALA_PACKAGES}
OPTIONS
    ${VALAC_OPTIONS}
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}/${LIBNAME}_internal.vapi
CUSTOM_VAPIS
    ${CUSTOM_VAPIS}
)

# tell cmake what to call the executable we just made
add_executable (${TEST_EXEC_NAME} ${VALA_C})
add_dependencies (${TEST_EXEC_NAME} ${LIBNAME})
target_link_libraries (${TEST_EXEC_NAME} ${DEPS_LIBRARIES} ${LIBNAME})

set_target_properties (${TEST_EXEC_NAME} PROPERTIES
    INCLUDE_DIRECTORIES ${CMAKE_BINARY_DIR}/${LIBRARY_PATH}
)

=== plugins/appindicator/CMakeLists.txt ===
include (Translations)
include_directories(${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/src/lib/)

set (PLUGIN_NAME "appindicator")

set (VALA_PACKAGES
    gtk+-3.0
    libpeas-1.0
)

pkg_check_modules (APPINDICATOR_PLUGIN_DEPS
    ayatana-appindicator3-0.1
)

if (APPINDICATOR_PLUGIN_DEPS_FOUND)
    set (VALA_PACKAGES ${VALA_PACKAGES} ayatana-appindicator3-0.1)
else ()
    pkg_check_modules (APPINDICATOR_PLUGIN_DEPS
        appindicator3-0.1
    )
    set (VALA_PACKAGES ${VALA_PACKAGES} appindicator3-0.1)
endif ()

if (APPINDICATOR_PLUGIN_DEPS_FOUND)

    if (GLOBAL_PLUGIN_ICONS)
        set (APPINDICATOR_PLUGIN_ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/status)
        set (ICONS_IN_DATA_DIR "false")
        set (STATUS_TASK_PANEL_ICON "${APP_ID}-status-task-symbolic")
        set (STATUS_BREAK_PANEL_ICON "${APP_ID}-status-break-symbolic")
    else ()
        set (APPINDICATOR_PLUGIN_ICON_DIR ${PLUGINDIR}/${PLUGIN_NAME}/icons)
        set (ICONS_IN_DATA_DIR "true")
        set (STATUS_TASK_PANEL_ICON "status-task-symbolic")
        set (STATUS_BREAK_PANEL_ICON "status-break-symbolic")
    endif ()


    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala.in ${CMAKE_CURRENT_SOURCE_DIR}/Constants.vala)

    include(ValaPrecompile)
    vala_precompile(VALA_C ${PLUGIN_NAME}
        Constants.vala
        appindicator.vala

    # tell what libraries to use when compiling
    PACKAGES
        ${VALA_PACKAGES}

    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/src/${LIBNAME}.vapi
    OPTIONS
        ${VALAC_OPTIONS}
    )

    add_definitions(${APPINDICATOR_PLUGIN_DEPS_CFLAGS})
    link_directories (${APPINDICATOR_PLUGIN_DEPS_LIBRARY_DIRS})

    add_library(${PLUGIN_NAME} MODULE ${VALA_C})
    target_link_libraries(${PLUGIN_NAME} ${LIBNAME} ${APPINDICATOR_PLUGIN_DEPS_LIBRARIES})

    configure_file_translation (${PLUGIN_NAME}.plugin ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin ${CMAKE_SOURCE_DIR}/po/)

    install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINDIR}/${PLUGIN_NAME})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINDIR}/${PLUGIN_NAME})
    install(FILES "icons/status-break-symbolic.svg" DESTINATION ${APPINDICATOR_PLUGIN_ICON_DIR}/ RENAME ${STATUS_BREAK_PANEL_ICON}.svg)
    install(FILES "icons/status-task-symbolic.svg" DESTINATION ${APPINDICATOR_PLUGIN_ICON_DIR}/ RENAME ${STATUS_TASK_PANEL_ICON}.svg)
    message("-- Ayatana indicator plugin will be compiled")
else ()
    message("-- Ayatana indicator plugin will not be compiled")
endif ()

=== plugins/launcher_indicator/CMakeLists.txt ===
include (Translations)
include_directories(${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/src/lib/)

set (PLUGIN_NAME "launcherindicator")

set (VALA_PACKAGES gtk+-3.0 libpeas-1.0)

if (USE_GRANITE)
  set (LAUNCHER_PLUGIN_SOURCES LauncherIndicator.vala)
  set (VALAC_OPTIONS ${VALAC_OPTIONS} -D USE_GRANITE)
  set (VALA_PACKAGES ${VALA_PACKAGES} granite)
else ()
  set (LAUNCHER_PLUGIN_SOURCES LauncherIndicator.vala LauncherEntryAPI.vala)
endif ()

include(ValaPrecompile)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${LAUNCHER_PLUGIN_SOURCES}

# tell what libraries to use when compiling
PACKAGES
    ${VALA_PACKAGES}

CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/src/${LIBNAME}.vapi
OPTIONS
    ${VALAC_OPTIONS}
)

add_definitions(${DEPS_CFLAGS})
link_directories (${DEPS_LIBRARY_DIRS})

add_library(${PLUGIN_NAME} MODULE ${VALA_C})
target_link_libraries(${PLUGIN_NAME} ${LIBNAME} ${DEPS_LIBRARIES})

configure_file_translation (${PLUGIN_NAME}.plugin ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin ${CMAKE_SOURCE_DIR}/po/)

install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINDIR}/${PLUGIN_NAME})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINDIR}/${PLUGIN_NAME})

message("-- Launcher inidicator plugin (Unity LauncherEntry API) will be compiled")

=== debian/changelog ===
go-for-it (1.9.6-5) unstable; urgency=medium

  * Team upload.
  * debian/clean: Clean extra files. (Closes: #1044872)
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Remove myself from the maintainer field.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 16:31:09 -0500

go-for-it (1.9.6-4) unstable; urgency=medium

  * debian/watch: Fix upstream monitoring scheme.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Oct 2022 14:03:54 -0400

go-for-it (1.9.6-3) unstable; urgency=medium

  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override for reproducibility. (Closes: #1003373)

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 12:59:38 -0400

go-for-it (1.9.6-2) unstable; urgency=high

  * debian/patches/4be5ff4ff5ef7db9ab320945cd78a2b2e853695c.patch:
    Apply upstream patch to fix FTBFS with Vala 0.56+.
    (Closes: #1008351)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Apr 2022 20:39:04 -0400

go-for-it (1.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Nov 2021 09:01:07 -0500

=== debian/control ===
Source: go-for-it
Section: utils
Priority: optional
Maintainer: Leandro Ramos <leandroramos@disroot.org>
Standards-Version: 4.7.0
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 intltool,
 libayatana-appindicator3-dev,
 libcanberra-dev,
 libglib2.0-dev,
 libgranite-dev,
 libgtk-3-dev,
 libpeas-dev,
 valac,
Rules-Requires-Root: no
Homepage: https://jmoerman.github.io/go-for-it/
Vcs-Git: https://salsa.debian.org/debian/go-for-it.git
Vcs-Browser: https://salsa.debian.org/debian/go-for-it

Package: go-for-it
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple and stylish productivity app
 GoForIt! is a simple and stylish productivity app, featuring
 a to-do list, merged with a timer that keeps your focus on the
 current task.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/JMoerman/Go-For-It/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
